/// <reference types="node" />
import { SigstoreBlobBundle, SigstoreDSSEBundle } from './bundle';
import { Fulcio, Rekor } from './client';
import { Provider } from './identity';
export interface SignOptions {
    fulcio: Fulcio;
    rekor: Rekor;
    identityProviders: Provider[];
}
export declare class Signer {
    private fulcio;
    private rekor;
    private identityProviders;
    constructor(options: SignOptions);
    signBlob(payload: Buffer): Promise<SigstoreBlobBundle>;
    signAttestation(payload: Buffer, payloadType: string): Promise<SigstoreDSSEBundle>;
    private sign;
    private getIdentityToken;
}
//# sourceMappingURL=sign.d.ts.map